Package: org.gradle.api.plugins

## [Groovy] Class ProjectReportsPluginConvention

- org.gradle.api.plugins.ProjectReportsPluginConvention

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `projectReportDirName` The name of the directory to generate the project reports into, relative to the project's reports dir.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProjectReportsPluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getProjectReportDir()` Returns the directory to generate the project reports into.
    `Set<Project>` | `getProjects()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String projectReportDirName

      The name of the directory to generate the project reports into, relative to the project's reports dir.

  - ### Constructor Detail

    - #### ProjectReportsPluginConvention(Project project)

  - ### Method Detail

    - #### File getProjectReportDir()

      Returns the directory to generate the project reports into.

    - #### Set<Project> getProjects()